#{extends 'borderNG.html' /}
#{set 'titleHead'}
&{'doc.persyaratan_kualifikasi'}
#{/set}

<ol class="breadcrumb">
    <li><a href="@{BerandaCtr.index()}">&{'doc.home'}</a></li>
#{if pl.lls_status.draft}
    <li><a href="@{nonlelang.PaketPlCtr.index()}">&{'doc.daftar_paket'} </a></li>
    <li><a href="@{nonlelang.PengadaanLCtr.edit(pl.lls_id)}">&{'doc.edit_paket'}</a></li>
#{/if}
#{else}
    <li><a href="@{nonlelang.PengadaanLCtr.view(pl.lls_id)}">&{'doc.info_paket'}</a></li>
#{/else}
    <li class="active">&{'doc.persyaratan_kualifikasi'}</li>
</ol>
<div class="content">
    <div class="bs-callout bs-callout-warning">
        &{'doc.petunjuk'}<br />
        <ol>
            <li>&{'doc.petunjuk_1'}</li>
            <li>&{'doc.petunjuk_2'}</li>
        </ol>
    </div>
#{alert /}
#{form @nonlelang.DokumenPlCtr.ldkSubmit(pl?.lls_id), id:'form-dok-lelang', 'data-alert':'true'}
    <table class="table table-sm" id="tblSyarat">
        #{if ijinList}
        <tr><th colspan="3">&{'doc.izin_usaha'}</th></tr>
        <tr><td> </td>
            <td><table id="tblIjinUsaha" class="table table-sm">
                <tr>
                    <td width="250">&{'doc.jenis_izin'}<span class="warning"> *</span></td>
                    <td>&{'doc.klasifikasi'}</td>
                    <td width="5"></td>
                </tr>
            #{list items:ijinList, as:'ijin'}
                <tr>
                    <td><input type="hidden" name="ijin[${ijin_index-1}].chk_id" value="${ijin.chk_id}" />
                        <input type="text" name="ijin[${ijin_index-1}].chk_nama" maxlength="255" class="form-control ijin" value="${ijin.chk_nama}" #{if !editable} disabled #{/if}/></td>
                    <td><input type="text" name="ijin[${ijin_index-1}].chk_klasifikasi" class="form-control" value="${ijin.chk_klasifikasi}" #{if !editable} disabled #{/if}/></td>
                    <td>#{if ijin_index > 1 && editable} <a href="javascript:void(0)" class="remove"><i class="fa fa-trash-o fa-lg"></i></a>#{/if}</td>
                </tr>
            #{/list}
            </table>
            #{if editable}
                <button type="button" class="btn btn-default" id="tambahIjin"><i class="fa fa-plus"></i> &{'doc.tbh_izin_usaha'}</button>
            #{/if}
            </td>
            <td> </td>
        </tr>
        #{/if}
    #{if syaratList}
        #{list items:syaratList, as:'item'}
            <tr class="syarat">
                <td><input type="hidden" name="checklist[${item_index-1}].chk_id" value="${item.chk_id}" #{if !editable} disabled #{/if}/>
                    #{if item?.checklist_master.checked}
                        <input type="hidden" name="checklist[${item_index-1}].ckm_id" value="${item?.checklist_master.ckm_id}"/>
                        <input type="checkbox" name="checklist[${item_index-1}].ckm_id" value="${item?.checklist_master.ckm_id}" checked="checked" disabled/>
                    #{/if}
                    #{else}
                        <input type="checkbox" name="checklist[${item_index-1}].ckm_id" value="${item?.checklist_master.ckm_id}" #{if item.checked} checked="checked" #{/if} #{if !editable} disabled #{/if}/>
                    #{/else}
                <td>#{if !item?.checklist_master.syaratLain} ${item?.checklist_master.ckm_nama} #{/if}
                    #{if !item.checklist_master.notEditable}
                        #{if item.checklist_master.isInputNumberOnly()}
                            <div>
                                <input type="text" class="form-control number-only" required style="width: 60px; display: inline" data-default="10" maxlength="3" value="${item.chk_nama}" #{if !editable} disabled #{/if} name="checklist[${item_index-1}].chk_nama">
                                %(dari nilai total HPS)
                            </div>
                            <span class="form-text alert-block"><em>${item?.checklist_master.keterangan}</em></span>
                        #{/if}
                        #{elseif item.checklist_master.isInputTable()}
                            #{set tbl: item.checklist_master?.table/}
                            <table class="table table-stripped" style="margin-top: 10px;">
                                <thead>
                                    #{list tbl.label, as:'label'}
                                    <th>${label}</th>
                                    #{/list}
                                <th style="width: 40px;"></th>
                                </thead>
                                <tbody id="${item.checklist_master.ckmKey}">
                                    #{if item.jsonName != null}
                                        #{list item.jsonName, as:'name'}
                                        <tr id="${item.checklist_master.ckmKey}_${name_index}">
                                            #{list tbl.key, as:'key'}
                                                <td><input class="form-control" type="text" name="${key}" value="${name.get(key)}" /></td>
                                            #{/list}
                                            <td>#{if name_index > 1}<a href="javascript:void(0)" class="btn-delete-row"
                                                        id-tr="${item.checklist_master.ckmKey}_${name_index}"><i class="fa fa-trash-o fa-lg"></i></a>#{/if}</td>
                                        </tr>
                                        #{/list}
                                    #{/if}
                                    #{else}
                                    <tr id="firstTr_${item.checklist_master.ckmKey}">
                                        #{list tbl.key, as:'key'}
                                            <td><input class="form-control" type="text" name="${key}" /></td>
                                        #{/list}
                                        <td></td>
                                    </tr>
                                    #{/else}
                                <tr id="${item.checklist_master.ckmKey}_tr" class="tr-template" style="display: none;">
                                    #{list tbl.key, as:'key'}
                                        <td><input class="form-control" type="text" name="${key}" /></td>
                                    #{/list}
                                </tr>
                                </tbody>
                            </table>
                            <button type="button" class="btn btn-xs btn-warning pull-right addTr" tbl-id="${item.checklist_master.ckmKey}"><i class="fa fa-plus"></i> &{'doc.btn_tambah'}</button>
                        #{/elseif}
                        #{else }
                            <textarea rows="2" class="form-control" name="checklist[${item_index-1}].chk_nama" #{if !editable} disabled #{/if}>${item.chk_nama}</textarea>
                            <span class="form-text"><em>${item?.checklist_master.keterangan}</em></span>
                        #{/else}
                    #{/if}
                </td>
                <td>
                    #{if item.checklist_master?.syaratLain && editable}
                        <a href="javascript:void(0)" class="remove"><i class="fa fa-trash-o fa-lg"></i></a>
                    #{/if}
                </td>
            </tr>
        #{/list}
    #{/if}
    </table>
#{if editable}
    <button type="button" class="btn btn-warning pull-right" id="tambahSyarat"><i class="fa fa-plus"></i> &{'doc.tmb_syarat'}</button>
#{/if}
    <div class="clearfix"></div>
#{if editable} #{saveButton /} #{/if}
    #{backButton action:backUrl /}
#{/form}
</div>

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/js/input-number.js'/}"></script>
<script type="text/javascript">
    jQuery('.number-only').onChangeNumberOnly();

    var idx = 1
    $(".addTr").on("click", function () {
        var key = $(this).attr("tbl-id")
        var element = $("#" + key + "_tr")
        var elementClone  = element.clone()
        var id = key + "_tr" + idx
        var btn = '<td><a href="javascript:void(0)" class="btn-delete-row" id-tr="'+ id +'"><i class="fa fa-trash-o fa-lg"></i></a></td>'
        elementClone.appendTo($("#" + key)).removeAttr("style").attr("id", id).removeAttr("class")
        $("#" + id).append(btn)
        idx++;
    });

    $(document).on("click", ".btn-delete-row", function () {
        var id = $(this).attr("id-tr");
        $("#" + id).remove();
    });

    $("form").submit(function () {
        $(".tr-template").remove()
    });
</script>
#{/set}


